Function
infix
Creates infix object.
Segment of the last found match in haystack.
infix(host, begin, end)
Infix infix(finder)
Include Headers
seqan/find.h, seqan/sequence.h
Parameters

finder | An online finder. Types: Finder, Swift
host | The complete sequence. Types: char array, String, StringSet
begin | Position or iterator of the first element of the segment. Types: Iterator, Position
end | Position or iterator behind the last element of the segment. Remarks: end must have the same type as begin.

Remarks
For finders or patterns of filtering algorithms (e.g. Swift) the returned infix is a potential match.
Notational sugar.
This function works only correct if the begin position of the match was already found, see findBegin.
Return Values
The infix of host between begin and end-1.
An infix of the haystack.
Metafunctions: Infix
Remarks: The type of the infix is given by Infix.
See Also
prefix, InfixSegment, suffix
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47